%define majorrelease 1
%define	major	1


Summary:	GConf is a configuration database system.
Name:		GConf
Version: 	1.0.8
Release:	2mdk
License:	GPL
Group:		Graphical desktop/GNOME
Source: 	ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.bz2
URL:		ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  db3-devel gnome-libs-devel liboaf-devel libxml-devel popt-devel
Prereq:		oaf lib%{name}%{major} = %{version}
# patch to install po files in buildroot directory -- pablo
Patch1:		gconf-1.0.8-pobug.patch.bz2

%description
GConf is a configuration database for the GNOME project.

%package  -n lib%{name}%{major}
Summary:	GConf is a configuration database system.
Group:		Graphical desktop/GNOME
Requires:   %{name} >= %{version}
%description -n lib%{name}%{major}
GConf is a configuration database for the GNOME project.

%package  -n lib%{name}%{major}-devel
Provides:	lib%{name}-devel
Summary:	Development libraries and headers for GConf
Group:		Graphical desktop/GNOME
Requires:	%name = %{version}
Requires:	lib%{name}%{major} = %{version}
Requires:	glib-devel
Requires:	popt-devel
Provides:	%{name}-devel = %{version}
Obsoletes:	%{name}-devel

%description  -n lib%{name}%{major}-devel
GConf is a configuration database for the GNOME project.

This package contains the header files and libraries needed to develop
applications using GConf.

%prep

%setup -q

%patch1 -p1

%build

%configure2_5x --disable-debug

#doesn't support parallel compilation
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-alternatives --install /usr/bin/gconftool gconftool /usr/bin/gconftool-%{majorrelease} 10
GCONF_CONFIG_SOURCE="xml::%{_sysconfdir}/gconf/gconf.xml.defaults"	\
%{_bindir}/gconftool \
	--makefile-install-rule %{_sysconfdir}/gconf/schemas/desktop.schemas > /dev/null \
&& chmod -R a+rX %{_sysconfdir}/gconf/gconf.xml.defaults ; true
if [ "$DURING_INSTALL" != "" ]; then
  killall oafd 2>&1 > /dev/null ; true
fi

%postun
if [ "$1" = "0" ]; then
		update-alternatives --remove gconftool /usr/bin/gconftool-%{majorrelease}
fi


%post -p /sbin/ldconfig -n lib%{name}%{major}

%postun -p /sbin/ldconfig -n lib%{name}%{major}

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING ChangeLog INSTALL NEWS README
%config(noreplace) %{_sysconfdir}/gconf
%{_libdir}/GConf/%{majorrelease}/*.so
%{_bindir}/gconfd-%{majorrelease}
%ghost %{_bindir}/gconftool
%{_bindir}/gconftool-%{majorrelease}
%{_datadir}/gconf

%files -n lib%{name}%{major}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n lib%{name}%{major}-devel
%defattr (-, root, root)
%{_libdir}/*.so
%{_libdir}/*a
%{_libdir}/GConf/%{majorrelease}/*a
%{_bindir}/gconf-config
%{_bindir}/gconf-config-%{majorrelease}
%{_datadir}/aclocal/*
%{_includedir}/gconf
%{_libdir}/pkgconfig/*

%changelog
* Mon Feb 25 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.8-2mdk
- enabled translations

* Tue Feb  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-1mdk
- Release 1.0.8
- Remove patch1 (merged upstream)

* Tue Jan  8 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.7-2mdk
- -devel package Requires popt-devel

* Tue Oct 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-1mdk
- Release 1.0.7
- Remove patches 0 and 3 (merged upstream)

* Fri Oct 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-3mdk
- Patch2 (Debian): fix bustage with gal

* Thu Oct 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-2mdk
- Fix gconftool missing link when upgrading 

* Tue Oct 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-1mdk
- Release 1.0.6
- Use alternative for gconftool
- Regenerate Patch0

* Fri Oct 19 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.4-4mdk
- regenerate Patch0, really rebuild against new db3

* Fri Oct 19 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.4-3mdk
- rebuild against new db3

* Tue Aug 28 2001 Pixel <pixel@mandrakesoft.com> 1.0.4-2mdk
- ensure the %%post succeeds

* Thu Aug 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk
- Release 1.0.4
- Remove patch2 (merged upstream)

* Tue Aug 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-4mdk
- Regenerate patch2 with official fix from GNOME CVS

* Mon Aug 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-3mdk
- Patch2: let's make GConf a little less verbose with Galeon
- Create missing directories

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk
- Enforce dependency on libGConf0

* Mon Jul 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Tue Jul 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- Regenerate patch 0

* Mon Jul 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-6mdk
- Rename path.example as path (fix from Christophe Fergeau)
- Resync with Havoc specfile

* Fri Jul 13 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-5mdk
- BuildRequires:	gnome-libs-devel
- BuildRequires:	popt-devel
- Copyright --> License
- Removed BuildRequires:	libgtk+1.2-devel
- Removed BuildRequires:	ORBit-devel

* Thu Jul  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-4mdk
- Regenerate patch 0 : rebuild against latest db3

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-3mdk
- BuildRequires:  ORBit-devel

* Wed Jun  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- lib package requires main package

* Tue May 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1
- patch1: remove some warnings
- Add pkgconfig files 

* Fri Mar 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-3mdk
- Correct BuildRequires (thanks to Vadim Plessky)

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-2mdk
- devel package now provides/obsoletes GConf-devel

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0
- Patch 0 to correctly detect db3 and provide db3 frontend

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.50-1mdk
- Release 0.50

* Mon Feb 12 2001 Warly <warly@mandrakesoft.com> 0.12-4mdk
- Really shutdown oafd during install

* Mon Feb 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-3mdk
- Shutdown oafd during install
- Remove old patches

* Tue Jan 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-2mdk
- Recompiled with oaf 0.6.2

* Mon Jan 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- Release 0.12

* Mon Nov 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-1mdk
- Release 0.11

* Mon Nov 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-4mdk
- Change major to 0 (I suck !!)

* Thu Nov 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-3mdk
- Split libraries in separate package

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-2mdk
- Use find_lang macro

* Thu Aug 10 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8.0
- update patch for new release

* Fri Aug  4 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7.0
- patch Makefile to prevent installing schemas at build time

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-3mdk
- Build without debugging code

* Wed Aug  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-2mdk
- BM + macroszification

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.6-1mdk
- Updated version to a more stable release

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.5-1mdk
- packaged for Mandrake
